<template>
  <v-container class="grey lighten-5">
    <h1>User list</h1>
    <v-data-table
      :headers="headers"
      :items="orders"
      class="elevation-1"
    ></v-data-table>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  name: "Usert",
  components: {},
  data: () => ({
    headers: [
      { text: "account", value: "account" },
      { text: "first name", value: "first-name" },
      { text: "last name", value: "last-name" },
      { text: "Civility", value: "civility"},
    ],
    orders: [],
  }),
  created() {
    this.fetchEventsList();
    this.timer = setInterval(this.fetchEventsList, 5000);
  },
  methods: {
    fetchEventsList() {
      axios
        .get(process.env.VUE_APP_URL_E_COMMERCE + "/account/")
        .then((response) => {
          this.orders = response.data;
        });
    },
    cancelAutoUpdate() {
      clearInterval(this.timer);
    },
  },
  beforeDestroy() {
    clearInterval(this.timer);
  },
};
</script>